org.eclipse.net4j.util.security

## Interface ICredentialsProvider2

- All Superinterfaces:
    ICredentialsProvider
  All Known Subinterfaces:
    IPasswordCredentialsProvider2
  All Known Implementing Classes:
    InteractiveCredentialsProvider

      public interface ICredentialsProvider2
      extends ICredentialsProvider

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICredentials` | `getCredentials(String realm)`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

      `getCredentials, isInteractive`

- - ### Method Detail

    - #### getCredentials

          ICredentials getCredentials(String realm)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html